Indice del forum Olimpo Informatico
I Forum di Zeus News
Leggi la newsletter gratuita - Attiva il Menu compatto
 
 FAQFAQ   CercaCerca   Lista utentiLista utenti   GruppiGruppi   RegistratiRegistrati 
 ProfiloProfilo   Messaggi privatiMessaggi privati   Log inLog in 

    Newsletter RSS Facebook Twitter Contatti Ricerca
* Il "Gestore aggiornamenti" e HP
Nuovo argomento   Rispondi    Indice del forum -> *Ubuntu
Precedente :: Successivo  
Autore Messaggio
zius
Dio minore
Dio minore


Registrato: 17/09/05 19:33
Messaggi: 626
Residenza: Mediterraneo

MessaggioInviato: 22 Nov 2008 13:59    Oggetto: * Il "Gestore aggiornamenti" e HP Rispondi citando

Ciao a tutti,
da alcuni giorni il Gestore Aggiornamenti Automatico mi propone di effettuare il seguente update
Citazione:
Versione 2.7.7.dfsg.1-0ubuntu5.1:

* SECURITY UPDATE: privilege escalation using the hplip alert-mailing
functionality.
- debian/patches/91_SECURITY_CVE-2008-2940.dpatch: fix handle_event()
in hpssd.py to validate device-uri parameter and disable
handle_setalerts(). This fix alters hplip behaviour by preventing
users from setting alerts and by moving alert configuration to a
root-controlled /etc/hp/alerts.conf file.
- CVE-2008-2940
* SECURITY UPDATE: denial of service in hpssd message parser.
- debian/patches/92_SECURITY_CVE-2008-2941.dpatch: fix handle_event()
in hpssd.py to correctly validate parameters.
- CVE-2008-2941
leggo inoltre nella descrizione
Citazione:
This package contains data files for the HP Linux Printing and Imaging System.


In un primo momento ho provato a fare l'aggiornamento anche se non uso una stampante HP ma mi ha dato sempre il seguente errore:
Citazione:
W: Errore nello scaricamento di http:/it.archive.ubuntu.com/ubuntu/pool/main/h/hplip/hplip-data_2.7.7.dfsg.1-0ubuntu5.1_all.deb
Size mismatch


Edit by mk66: ho modificato il link per renderlo inefficace ed evitare lo scaricamento immediato del pacchetto indicato


Dopo alcuni tentativi ho pensato di far passare qualche giorno, pensando che magari nel frattempo avrebbero aggiornato il pacchetto... ma niente.

Allora mi sono detto "ma insomma, io l'HP manco ce l'ho! chissenefrega del security update per HP, no?". L'ho deselezionato e ho chiuso, ma intanto il gestore aggiornamenti continua a notificarmelo.


Arriviamo alle domande:
1. E' capitato pure a voi di avere problemi di "size mismatching" di un pacchetto? E se si, che si fa in questi casi?
2. Se è importante comunque fare questo aggiornamento, come potrei fare?
3. Se invece mi confermate che nun me po fregà de meno, come faccio per far stare quieto anche il Gestore Aggiornamenti, in modo che non mi notifichi più i pacchetti che non mi interessano?

Si profila bello corposo questo thread, eh? Smile
Via alle risposte!
Top
Profilo Invia messaggio privato
MK66
Moderatore Sistemi Operativi
Moderatore Sistemi Operativi


Registrato: 17/10/06 22:24
Messaggi: 8453
Residenza: dentro una cassa sotto 3 metri di terra...

MessaggioInviato: 22 Nov 2008 19:01    Oggetto: Re: Gestore aggiornamenti Rispondi citando

zius ha scritto:

Arriviamo alle domande:
1. E' capitato pure a voi di avere problemi di "size mismatching" di un pacchetto? E se si, che si fa in questi casi?
2. Se è importante comunque fare questo aggiornamento, come potrei fare?
3. Se invece mi confermate che nun me po fregà de meno, come faccio per far stare quieto anche il Gestore Aggiornamenti, in modo che non mi notifichi più i pacchetti che non mi interessano?

Si profila bello corposo questo thread, eh? Smile
Via alle risposte!

Ok
1. Si, può capitare qualche problema anche con Synaptic, ma di solito il messaggio di errore suggerisce anche la risposta (quello che hai postato te non era il messaggio completo, vero? Wink )
2. Ci sono diversi metodi, il più comune viene di solito indicato nel messaggio di errore stesso (la riga solitamente comincia con E: e non con W: che è invece solo un Warning...), altrimenti si può forzare l'installazione (ma questo serve di solito se hai bisogno di una versione particolare...) o procedere alla pulizia completa della cache di apt e ricaricare la libreria... Think
3. Se non hai apparecchiature HP puoi letteralmente fregartene, però temo che dovrai controllare di non avere le suddette apparecchiature e di non avere installato il pacchetto incriminato ( hplip-data, che dipende da hplip, eccetera... insomma, cerca su Synaptic hp e vedi se hai qualcosa di installato e, nel caso non ti serva, rimuovilo completamente...)

Piuttosto, credo che tu abbia un pò di casini nel file /etc/apt/sources.list, che è quello che gestisce i repository: ti vuole far mettere una versione un pochino arretrata: io ho la 2.8.2 di quel pacchetto hplip... Think
Top
Profilo Invia messaggio privato HomePage
zius
Dio minore
Dio minore


Registrato: 17/09/05 19:33
Messaggi: 626
Residenza: Mediterraneo

MessaggioInviato: 22 Nov 2008 22:08    Oggetto: Rispondi citando

MK66 ha scritto:
1. ...di solito il messaggio di errore suggerisce anche la risposta (quello che hai postato te non era il messaggio completo, vero? Wink )
ehm, Confused veramente si

MK66 ha scritto:
2. Ci sono diversi metodi,
...
o procedere alla pulizia completa della cache di apt e ricaricare la libreria... Think
Fatto. Una volta ogni tanto non guasta mai Smile

MK66 ha scritto:
3. Se non hai apparecchiature HP puoi letteralmente fregartene, però temo che dovrai controllare di non avere le suddette apparecchiature e di non avere installato il pacchetto incriminato ( hplip-data, che dipende da hplip, eccetera... insomma, cerca su Synaptic hp e vedi se hai qualcosa di installato e, nel caso non ti serva, rimuovilo completamente...)
Fatto! Very Happy C'era proprio il pacchetto hplip-eccetera.
Una volta disinstallato è scomparsa anche la notifica di update Mr. Green

MK66 ha scritto:
Piuttosto, credo che tu abbia un pò di casini nel file /etc/apt/sources.list, che è quello che gestisce i repository: ti vuole far mettere una versione un pochino arretrata: io ho la 2.8.2 di quel pacchetto hplip... Think
scusami, non ho specificato che uso ancora la Gutsy (7.10), forse è per questo che aveva una versione vecchiotta..?
Top
Profilo Invia messaggio privato
MK66
Moderatore Sistemi Operativi
Moderatore Sistemi Operativi


Registrato: 17/10/06 22:24
Messaggi: 8453
Residenza: dentro una cassa sotto 3 metri di terra...

MessaggioInviato: 23 Nov 2008 22:25    Oggetto: Rispondi citando

zius ha scritto:
MK66 ha scritto:
1. ...di solito il messaggio di errore suggerisce anche la risposta (quello che hai postato te non era il messaggio completo, vero? Wink )
ehm, Confused veramente si

Maddai: questo era tutto il messaggio di errore?
Citazione:
W: Errore nello scaricamento di http:/it.archive.ubuntu.com/ubuntu/pool/main/h/hplip/hplip-data_2.7.7.dfsg.1-0ubuntu5.1_all.deb
Size mismatch

zius ha scritto:
MK66 ha scritto:
2. Ci sono diversi metodi,
...
o procedere alla pulizia completa della cache di apt e ricaricare la libreria... Think
Fatto. Una volta ogni tanto non guasta mai Smile

Wink
zius ha scritto:
MK66 ha scritto:
3. Se non hai apparecchiature HP puoi letteralmente fregartene, però temo che dovrai controllare di non avere le suddette apparecchiature e di non avere installato il pacchetto incriminato ( hplip-data, che dipende da hplip, eccetera... insomma, cerca su Synaptic hp e vedi se hai qualcosa di installato e, nel caso non ti serva, rimuovilo completamente...)
Fatto! Very Happy C'era proprio il pacchetto hplip-eccetera.
Una volta disinstallato è scomparsa anche la notifica di update Mr. Green

Infatti: non essendo più installato non esiste nel database e quindi non richiede aggiornamenti
zius ha scritto:
MK66 ha scritto:
Piuttosto, credo che tu abbia un pò di casini nel file /etc/apt/sources.list, che è quello che gestisce i repository: ti vuole far mettere una versione un pochino arretrata: io ho la 2.8.2 di quel pacchetto hplip... Think
scusami, non ho specificato che uso ancora la Gutsy (7.10), forse è per questo che aveva una versione vecchiotta..?

Non lo sapevo: sicuramente è quello... Very Happy
Top
Profilo Invia messaggio privato HomePage
zius
Dio minore
Dio minore


Registrato: 17/09/05 19:33
Messaggi: 626
Residenza: Mediterraneo

MessaggioInviato: 23 Nov 2008 22:33    Oggetto: Re: Gestore aggiornamenti Rispondi citando

zius ha scritto:
Si profila bello corposo questo thread, eh? Smile
come non detto, a quanto pare a questo punto è tutto risolto Smile
Top
Profilo Invia messaggio privato
MK66
Moderatore Sistemi Operativi
Moderatore Sistemi Operativi


Registrato: 17/10/06 22:24
Messaggi: 8453
Residenza: dentro una cassa sotto 3 metri di terra...

MessaggioInviato: 23 Nov 2008 22:37    Oggetto: Re: Gestore aggiornamenti Rispondi

zius ha scritto:
zius ha scritto:
Si profila bello corposo questo thread, eh? Smile
come non detto, a quanto pare a questo punto è tutto risolto Smile

La prossima volta lo facciamo durare un pò di più... Wink
Top
Profilo Invia messaggio privato HomePage
Mostra prima i messaggi di:   
Nuovo argomento   Rispondi    Indice del forum -> *Ubuntu Tutti i fusi orari sono GMT + 1 ora
Pagina 1 di 1

 
Vai a:  
Non puoi inserire nuovi argomenti
Non puoi rispondere a nessun argomento
Non puoi modificare i tuoi messaggi
Non puoi cancellare i tuoi messaggi
Non puoi votare nei sondaggi